//Shader files specific to mp_mgm
//by Mikultra
//www.mikultra.id.au
/////////////////////////
// - (A) - WORLD
/////////////////////////

/////////////////////////
//	(1) - THE SKY
/////////////////////////

textures/milltextures/mill_sky
{
	qer_editorimage textures/milltextures/mgmsky.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_lightimage textures/milltextures/mgmsky1.jpg
	q3map_lightsubdivide 512 
	q3map_sun	1.000000 0.904956 0.477548 5 325 65
	q3map_surfacelight 400
	skyparms full 200 -
	fogvars ( .14 .15 .15 ) 4500
	{
		map textures/milltextures/mgmsky.jpg
        	blendFunc GL_DST_COLOR GL_ZERO
		tcMod scale 12.0 12.0
	}
}

//////////////////////////
//	(2) - THE TERRA FIRMA - Grass, Dirt, Rock
//////////////////////////

textures/milltextures/3dcdrygrass_nonsolid
{
	qer_editorimage textures/milltextures/3dcdrygrass.jpg
	surfaceparm nonsolid
	surfaceparm grasssteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/milltextures/3dcdrygrass.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

textures/milltextures/3dcdrygrass_solid
{
	qer_editorimage textures/milltextures/3dcdrygrass.jpg
	surfaceparm grasssteps
    	surfaceparm nodamage
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/milltextures/3dcdrygrass.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

textures/milltextures/river_gravel
{
	qer_editorimage textures/milltextures/3dcpebbles.jpg
	surfaceparm gravelsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/milltextures/3dcpebbles.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

//////////////////////
// MILL PRODU
//////////////////////

textures/milltextures/mill_blooglass
{
	qer_editorimage textures/milltextures/blooglass.jpg
	surfaceparm trans
	{
		map textures/milltextures/blooglass.jpg
        	blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/milltextures/da_bloolite
{
	qer_editorimage textures/milltextures/bloolite.jpg
	q3map_lightimage textures/milltextures/bloolite.jpg
	q3map_surfacelight 7500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/milltextures/bloolite.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/milltextures/da_greenlite
{
	qer_editorimage textures/milltextures/greeenlite.jpg
	q3map_lightimage textures/milltextures/greeenlite.jpg
	q3map_surfacelight 7500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/milltextures/greeenlite.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/milltextures/mill_roof
{
	qer_editorimage textures/milltextures/mgmroof.jpg
	surfaceparm roofsteps
    	surfaceparm nodamage
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/milltextures/mgmroof.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

textures/milltextures/the_sawdust
{
	qer_editorimage textures/milltextures/mik_sawdust.jpg
	surfaceparm grasssteps
    	surfaceparm nodamage
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/milltextures/mik_sawdust.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

textures/milltextures/tabletop
{
	qer_editorimage textures/milltextures/3dcwoodstained.jpg
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/milltextures/3dcwoodstained.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

textures/milltextures/wood_bark
{
	qer_editorimage textures/milltextures/mik_bark.jpg
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/milltextures/mik_bark.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

///////////////////
// DECOR
///////////////////
textures/milltextures/wood_floor
{
	qer_editorimage textures/milltextures/3dcwoodfloor.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/milltextures/3dcwoodfloor.jpg
		blendFunc GL_DST_COLOR GL_ZERO	
		rgbGen identity
	}
}